package com.ywt.outpatient.api.req;

/**
 * @author Walker
 * Created on 2020/6/19
 */
public class InvalidateCacheReq {
    private String key;
    private int cacheType;//0-GuavaCache, 1-Redis
    private int callType;//0-local, 1-grpc, 2-rest
    private int keyType;//0-match, 1-pattern
    private String methodName;// grpc/rest 调用需要指定服务方法名称

    public static final int CACHE_TYPE_GUAVA = 0;
    public static final int CACHE_TYPE_REDIS = 1;
    public static final int CALL_TYPE_LOCAL = 0;
    public static final int CALL_TYPE_GRPC = 1;
    public static final int CALL_TYPE_REST = 2;
    public static final int KEY_TYPE_MATCH = 0;
    public static final int KEY_TYPE_PATTERN = 1;

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public int getCacheType() {
        return cacheType;
    }

    public void setCacheType(int cacheType) {
        this.cacheType = cacheType;
    }

    public int getCallType() {
        return callType;
    }

    public void setCallType(int callType) {
        this.callType = callType;
    }

    public int getKeyType() {
        return keyType;
    }

    public void setKeyType(int keyType) {
        this.keyType = keyType;
    }

    public String getMethodName() {
        return methodName;
    }

    public void setMethodName(String methodName) {
        this.methodName = methodName;
    }
}
